# Interface ClientEndpointConfig

All Superinterfaces:
  `EndpointConfig`

public interface ClientEndpointConfig extends EndpointConfig

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final class`
  `ClientEndpointConfig.Builder`
  `static class`
  `ClientEndpointConfig.Configurator`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClientEndpointConfig.Configurator`
  `getConfigurator()`
  `List<Extension>`
  `getExtensions()`
  `List<String>`
  `getPreferredSubprotocols()`
  `SSLContext`
  `getSSLContext()`

  ### Methods inherited from interface jakarta.websocket.EndpointConfig

  `getDecoders, getEncoders, getUserProperties`

- ## Method Details

  - ### getPreferredSubprotocols

    List<String> getPreferredSubprotocols()

  - ### getExtensions

    List<Extension> getExtensions()

  - ### getSSLContext

    SSLContext getSSLContext()

  - ### getConfigurator

    ClientEndpointConfig.Configurator getConfigurator()